# PokemonPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PokemonPhase`Abstract`

#### Hierarchy (View Summary)

- FieldPhase
  - PokemonPhase
    - AttemptCapturePhase
    - AttemptRunPhase
    - CommonAnimPhase
    - DamageAnimPhase
    - FaintPhase
    - MoveChargePhase
    - MoveEffectPhase
    - MoveEndPhase
    - ObtainStatusEffectPhase
    - PokemonTransformPhase
    - PostSummonPhase
    - PostTurnStatusEffectPhase
    - ScanIvsPhase
    - SelectTargetPhase
    - ShinySparklePhase
    - ShowAbilityPhase
    - StatStageChangePhase
    - VictoryPhase

- Defined in src/phases/pokemon-phase.ts:6

##### Index

### Constructors

constructor

### Properties

battlerIndex
fieldIndex
player

### Methods

end
executeForAll
getPokemon
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new PokemonPhase(battlerIndex?: number): PokemonPhase

  #### Parameters

  - `Optional` battlerIndex: number

  #### Returns PokemonPhase

  Overrides FieldPhase.constructor

  - Defined in src/phases/pokemon-phase.ts:11

## Properties

### `Protected` battlerIndex

battlerIndex: number

- Defined in src/phases/pokemon-phase.ts:7

### fieldIndex

fieldIndex: number

- Defined in src/phases/pokemon-phase.ts:9

### player

player: boolean

- Defined in src/phases/pokemon-phase.ts:8

## Methods

### end

- end(): void

  #### Returns void

  Inherited from FieldPhase.end

  - Defined in src/phase.ts:6

### executeForAll

- executeForAll(func: PokemonFunc): void

  #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from FieldPhase.executeForAll

  - Defined in src/phases/field-phase.ts:8

### getPokemon

- getPokemon(): default

  #### Returns default

  - Defined in src/phases/pokemon-phase.ts:26

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from FieldPhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from FieldPhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Inherited from FieldPhase.start

  - Defined in src/phase.ts:4